package com.ruoyi.bst.device.domain;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceQuery extends DeviceVO {

    @ApiModelProperty("精准SN")
    private String eqSn;

    @ApiModelProperty("是否刷新物联网信息")
    private Boolean refresh;

    @ApiModelProperty("设备ID列表")
    private List<Long> ids;

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("精准MAC")
    private String eqMac;

    @ApiModelProperty("半径（米）")
    private BigDecimal radius;

    @ApiModelProperty("套餐ID")
    private Long suitId;

    @ApiModelProperty("排除ID")
    private Long excludeId;

    @ApiModelProperty("中心坐标")
    private List<BigDecimal> center;

    @ApiModelProperty("剩余电量百分比范围")
    private List<BigDecimal> powerRange;

    @ApiModelProperty("订单设备为空或状态列表")
    private List<String> nonOrOrderDeviceStatusList;

    @ApiModelProperty("MAC列表")
    private List<String> macList;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("最后上报时间（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastTimeEnd;

    @ApiModelProperty("最后上报时间（起始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastTimeStart;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("订单设备状态列表")
    private List<String> orderDeviceStatusList;

}
