package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单改价DTO
 */
@Data
public class OrderUpdatePriceDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long id;

    @ApiModelProperty("骑行费")
    @NotNull(message = "骑行费不能为空")
    @Min(value = 0, message = "骑行费不能小于0")
    private BigDecimal ridingFee;

    @ApiModelProperty("调度费")
    @NotNull(message = "调度费不能为空")
    @Min(value = 0, message = "调度费不能小于0")
    private BigDecimal dispatchFee;
    
    @ApiModelProperty("管理费")
    @NotNull(message = "管理费不能为空")
    @Min(value = 0, message = "管理费不能小于0")
    private BigDecimal manageFee;

    @ApiModelProperty("操作人ID")
    private Long userId;
    
    @ApiModelProperty("改价原因")
    @Size(max = 255, message = "改价原因不能超过255个字符")
    private String reason;
}
