package com.ruoyi.bst.reconciliationDate.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.reconciliationDate.domain.ReconciliationDate;
import com.ruoyi.bst.reconciliationDate.domain.ReconciliationDateQuery;
import com.ruoyi.bst.reconciliationDate.domain.ReconciliationDateVO;

/**
 * 渠道对账Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-23
 */
public interface ReconciliationDateMapper
{
    /**
     * 查询渠道对账
     *
     * @param id 渠道对账主键
     * @return 渠道对账
     */
    ReconciliationDateVO selectReconciliationDateById(Long id);

    /**
     * 查询渠道对账列表
     *
     * @param query 渠道对账
     * @return 渠道对账集合
     */
    List<ReconciliationDateVO> selectReconciliationDateList(@Param("query")ReconciliationDateQuery query);

    /**
     * 新增渠道对账
     *
     * @param reconciliationDate 渠道对账
     * @return 结果
     */
    int insertReconciliationDate(ReconciliationDate reconciliationDate);

    /**
     * 批量新增渠道对账
     */
    int batchInsert(@Param("list") List<? extends ReconciliationDate> list);

    /**
     * 批量修改渠道对账
     */
    int batchUpdate(@Param("list") List<? extends ReconciliationDate> list);

    /**
     * 修改渠道对账
     *
     * @param reconciliationDate 渠道对账
     * @return 结果
     */
    public int updateReconciliationDate(@Param("data") ReconciliationDate reconciliationDate);

    /**
     * 删除渠道对账
     *
     * @param id 渠道对账主键
     * @return 结果
     */
    int deleteReconciliationDateById(Long id);

    /**
     * 批量删除渠道对账
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReconciliationDateByIds(Long[] ids);

    /**
     * 查询渠道对账列表（按指定字段分组）
     * @param query 查询条件
     * @param groupBy 分组字段
     * @return 渠道对账列表
     */
    List<ReconciliationDateVO> selectReconciliationDateListGroupBy(@Param("query")ReconciliationDateQuery query, @Param("groupBy")String groupBy);
}
